import request from '@/utils/request'

// 查询用户培训视频列表
export function listBusTrainingVideoUser(query) {
  return request({
    url: '/manage/busTrainingVideoUser/list',
    method: 'get',
    params: query
  })
}

// 查询用户培训视频详细
export function getBusTrainingVideoUser(id) {
  return request({
    url: '/manage/busTrainingVideoUser/' + id,
    method: 'get'
  })
}

// 新增用户培训视频
export function addBusTrainingVideoUser(data) {
  return request({
    url: '/manage/busTrainingVideoUser',
    method: 'post',
    data: data
  })
}

// 修改用户培训视频
export function updateBusTrainingVideoUser(data) {
  return request({
    url: '/manage/busTrainingVideoUser',
    method: 'put',
    data: data
  })
}

// 删除用户培训视频
export function delBusTrainingVideoUser(id) {
  return request({
    url: '/manage/busTrainingVideoUser/' + id,
    method: 'delete'
  })
}
